| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::StationFile Class Reference

Class for reading Station files. More...

Inheritance diagram for EECFI::StationFile:

List of all members.

## Public Member Functions
| StationFile ()
| Empty constructor.
| StationFile (const string fileNam)
| Constructor with file name.
| ~StationFile ()
| Destructor.
void | read () throw (CfiError)
| Read the whole file data block.
void | read (const string stationIdentity) throw (CfiError)
| Read one station.
void | readIds (vector< string > &stationIds) throw (CfiError)
| Read the list of station names.
## Public Attributes
vector< StationRec > | stationList
| Stations records.

## Detailed Description

Class for reading Station files.

## Constructor & Destructor Documentation

EECFI::StationFile::StationFile | ( |  | ) |

Empty constructor.

References EECFI::EEFile::fileType.

EECFI::StationFile::StationFile | ( | const string | fileNam | ) |

Constructor with file name.

EECFI::StationFile::~StationFile | ( |  | ) |

Destructor.

References EECFI::EEFile::fixedHeader.

## Member Function Documentation

void EECFI::StationFile::read | ( |  | ) | throw (CfiError)

Read the whole file data block.

References EECFI::StationRec::antenna, EECFI::StationRec::azimuth, EECFI::StationRec::descriptor, EECFI::StationRec::elevation, EECFI::EEFile::fileName, EECFI::StationRec::latMax, EECFI::StationRec::latMin, EECFI::StationRec::longMax, EECFI::StationRec::longMin, EECFI::StationRec::missionAosEl, EECFI::StationRec::missionList, EECFI::StationRec::missionLosEl, EECFI::StationRec::missionMaskType, EECFI::StationRec::missionName, EECFI::StationRec::numMaskPt, EECFI::StationRec::points, EECFI::StationRec::projLat, EECFI::StationRec::projLong, EECFI::StationRec::purpose, EECFI::StationRec::stationAlt, EECFI::StationRec::stationId, EECFI::StationRec::stationLat, stationList, EECFI::StationRec::stationLong, EECFI::CfiClass::throwWarn, and EECFI::StationRec::type.

void EECFI::StationFile::read | ( | const string | stationIdentity | ) | throw (CfiError)

Read one station.

Parameters:

  | stationIdentity | Identity of the station to read.

void EECFI::StationFile::readIds | ( | vector< string > & | stationIds | ) | throw (CfiError)

Read the list of station names.

Parameters:

  | stationIds | [OUTPUT]: is an output vector with the name of the stations in the file.

## Member Data Documentation

vector<StationRec> EECFI::StationFile::stationList

Stations records.

Referenced by read().